JUCE: OSCReceiver::Listener< CallbackType > Class Template Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
OSCReceiver::Listener< CallbackType > Class Template Referenceabstract
juce_osc » osc

A class for receiving OSC data from an OSCReceiver. More...

`#include <juce_OSCReceiver.h>`

## Public Member Functions
virtual | ~Listener ()=default
| Destructor.
virtual void | oscMessageReceived (const OSCMessage &message)=0
| Called when the OSCReceiver receives a new OSC message.
virtual void | oscBundleReceived (const OSCBundle &)
| Called when the OSCReceiver receives a new OSC bundle.

## Detailed Description

template<typename CallbackType = MessageLoopCallback>
class OSCReceiver::Listener< CallbackType >

A class for receiving OSC data from an OSCReceiver.

The template argument CallbackType determines how the callback will be called and has to be either MessageLoopCallback or RealtimeCallback. If not specified, MessageLoopCallback will be used by default.

See also
  OSCReceiver::addListener, OSCReceiver::ListenerWithOSCAddress, OSCReceiver::MessageLoopCallback, OSCReceiver::RealtimeCallback

## Constructor & Destructor Documentation

## ◆ ~Listener()

template<typename CallbackType = MessageLoopCallback>

virtual OSCReceiver::Listener< CallbackType >::~Listener | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ oscMessageReceived()

template<typename CallbackType = MessageLoopCallback>

virtual void OSCReceiver::Listener< CallbackType >::oscMessageReceived | ( | const OSCMessage & | message | ) |
| pure virtual

Called when the OSCReceiver receives a new OSC message.

You must implement this function.

## ◆ oscBundleReceived()

template<typename CallbackType = MessageLoopCallback>

virtual void OSCReceiver::Listener< CallbackType >::oscBundleReceived | ( | const OSCBundle & |  | ) |
| virtual

Called when the OSCReceiver receives a new OSC bundle.

If you are not interested in OSC bundles, just ignore this method. The default implementation provided here will simply do nothing.

The documentation for this class was generated from the following file:

- juce_OSCReceiver.h